Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 449742

Summary: net-im/ktp-call-ui-0.5.1 does not build with net-libs/telepathy-farstream-0.6.0
Product: Gentoo Linux Reporter: darkbasic <darkbasic>
Component: Current packagesAssignee: Gentoo KDE team <kde>
Status: RESOLVED DUPLICATE    
Severity: normal CC: cruzki123, eugene.shalygin, kuba, nikoli, vladi
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://bugs.kde.org/show_bug.cgi?id=312450
Whiteboard: tracking upstream
Package list:
Runtime testing required: ---
Attachments: telepathy-qt-0.9.3-farstream-0.2.patch
ktp-call-ui-0.5.1-farstream-0.2.patch

Description darkbasic 2013-01-02 09:47:13 UTC
!!! existing preserved libs:
>>> package: net-libs/farstream-0.1.2-r1
 *  - /usr/lib64/libfarstream-0.1.so.0
 *  - /usr/lib64/libfarstream-0.1.so.0.0.1
 *      used by /usr/lib64/kde4/libexec/ktp-call-ui (net-im/ktp-call-ui-0.5.1)
 *      used by /usr/lib64/libtelepathy-farstream.so.2 (net-libs/telepathy-farstream-0.6.0)
 *      used by /usr/lib64/libtelepathy-farstream.so.2.0.1 (net-libs/telepathy-farstream-0.6.0)
>>> package: net-libs/telepathy-farstream-0.6.0
 *  - /usr/lib64/libtelepathy-farstream.so.2
 *  - /usr/lib64/libtelepathy-farstream.so.2.0.1
 *      used by /usr/lib64/kde4/libexec/ktp-call-ui (net-im/ktp-call-ui-0.5.1)
 *      used by /usr/lib64/libtelepathy-qt4-farstream.so.2 (net-libs/telepathy-qt-0.9.3)
 *      used by /usr/lib64/libtelepathy-qt4-farstream.so.2.0.9.3 (net-libs/telepathy-qt-0.9.3)
>>> package: net-libs/telepathy-qt-0.9.3
 *  - /usr/lib64/libtelepathy-qt4-farstream.so.2
 *  - /usr/lib64/libtelepathy-qt4-farstream.so.2.0.9.3
 *      used by /usr/lib64/kde4/libexec/ktp-call-ui (net-im/ktp-call-ui-0.5.1)
Use emerge @preserved-rebuild to rebuild packages using these libraries
 * After world updates, it is important to remove obsolete packages with
 * emerge --depclean. Refer to `man emerge` for more information.
laptop ~ # emerge -av @preserved-rebuild

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ~] net-im/ktp-call-ui-0.5.1:4  USE="(-aqua) -debug" LINGUAS="it -ca -cs -da -de -el -es -et -fi -ga -hu -ja -lt -nl -pl -pt -pt_BR -sk -sr -sr@ijekavian -sr@ijekavianlatin -sr@latin -sv -uk -zh_TW" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB

Would you like to merge these packages? [Yes/No] 

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) net-im/ktp-call-ui-0.5.1
 * ktp-call-ui-0.5.1.tar.bz2 SHA256 SHA512 WHIRLPOOL size ;-) ...                                                                                                            [ ok ]
>>> Unpacking source...
>>> Unpacking ktp-call-ui-0.5.1.tar.bz2 to /var/tmp/portage/net-im/ktp-call-ui-0.5.1/work
>>> Source unpacked in /var/tmp/portage/net-im/ktp-call-ui-0.5.1/work
>>> Preparing source in /var/tmp/portage/net-im/ktp-call-ui-0.5.1/work/ktp-call-ui-0.5.1 ...
>>> Enabling languages:  it
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/net-im/ktp-call-ui-0.5.1/work/ktp-call-ui-0.5.1 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/net-im/ktp-call-ui-0.5.1/work/ktp-call-ui-0.5.1_build"
cmake --no-warn-unused-cli -C /var/tmp/portage/net-im/ktp-call-ui-0.5.1/work/ktp-call-ui-0.5.1_build/gentoo_common_config.cmake -G Unix Makefiles -DCMAKE_INSTALL_PREFIX=/usr -DKDE4_BUILD_TESTS=OFF -DCMAKE_INSTALL_PREFIX=/usr -DSYSCONF_INSTALL_DIR=/etc -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_INSTALL_DO_STRIP=OFF -DCMAKE_USER_MAKE_RULES_OVERRIDE=/var/tmp/portage/net-im/ktp-call-ui-0.5.1/work/ktp-call-ui-0.5.1_build/gentoo_rules.cmake  /var/tmp/portage/net-im/ktp-call-ui-0.5.1/work/ktp-call-ui-0.5.1
Not searching for unused variables given on the command line.
loading initial cache file /var/tmp/portage/net-im/ktp-call-ui-0.5.1/work/ktp-call-ui-0.5.1_build/gentoo_common_config.cmake
-- The C compiler identification is GNU 4.5.4
-- The CXX compiler identification is GNU 4.5.4
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found.
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt-Version 4.8.4 (using /usr/bin/qmake)
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib64/libX11.so
-- Looking for include file pthread.h
-- Looking for include file pthread.h - found
-- Looking for pthread_create
-- Looking for pthread_create - not found.
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE  
-- Found OpenSSL: /usr/lib64/libssl.so
-- Looking for _POSIX_TIMERS
-- Looking for _POSIX_TIMERS - found
-- Found Automoc4: /usr/bin/automoc4 
-- Found Perl: /usr/bin/perl (found version "5.12.4") 
-- Found Phonon: /usr/include 
-- Performing Test _OFFT_IS_64BIT
-- Performing Test _OFFT_IS_64BIT - Success
-- Performing Test HAVE_FPIE_SUPPORT
-- Performing Test HAVE_FPIE_SUPPORT - Success
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
-- Performing Test __KDE_HAVE_GCC_VISIBILITY
-- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
-- Found KDE 4.9 include dir: /usr/include
-- Found KDE 4.9 library dir: /usr/lib64
-- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
CMake Error at CMakeLists.txt:9 (find_package):
  By not providing "FindTelepathyQt4Farstream.cmake" in CMAKE_MODULE_PATH
  this project has asked CMake to find a package configuration file provided
  by "TelepathyQt4Farstream", but CMake did not find one.

  Could not find a package configuration file provided by
  "TelepathyQt4Farstream" with any of the following names:

    TelepathyQt4FarstreamConfig.cmake
    telepathyqt4farstream-config.cmake

  Add the installation prefix of "TelepathyQt4Farstream" to CMAKE_PREFIX_PATH
  or set "TelepathyQt4Farstream_DIR" to a directory containing one of the
  above files.  If "TelepathyQt4Farstream" provides a separate development
  package or SDK, be sure it has been installed.


-- Configuring incomplete, errors occurred!
 * ERROR: net-im/ktp-call-ui-0.5.1 failed (configure phase):
 *   cmake failed
 * 
 * Call stack:
 *     ebuild.sh, line   93:  Called src_configure
 *   environment, line 3887:  Called kde4-base_src_configure
 *   environment, line 2981:  Called cmake-utils_src_configure
 *   environment, line 1096:  Called _execute_optionaly 'src_configure'
 *   environment, line  528:  Called enable_cmake-utils_src_configure
 *   environment, line 1421:  Called die
 * The specific snippet of code:
 *       "${CMAKE_BINARY}" "${cmakeargs[@]}" "${CMAKE_USE_DIR}" || die "cmake failed";
 * 
 * If you need support, post the output of `emerge --info '=net-im/ktp-call-ui-0.5.1'`,
 * the complete build log and the output of `emerge -pqv '=net-im/ktp-call-ui-0.5.1'`.
 * The complete build log is located at '/var/tmp/portage/net-im/ktp-call-ui-0.5.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-im/ktp-call-ui-0.5.1/temp/environment'.
 * Working directory: '/var/tmp/portage/net-im/ktp-call-ui-0.5.1/work/ktp-call-ui-0.5.1_build'
 * S: '/var/tmp/portage/net-im/ktp-call-ui-0.5.1/work/ktp-call-ui-0.5.1'

>>> Failed to emerge net-im/ktp-call-ui-0.5.1, Log file:

>>>  '/var/tmp/portage/net-im/ktp-call-ui-0.5.1/temp/build.log'

 * Messages for package net-im/ktp-call-ui-0.5.1:

 * ERROR: net-im/ktp-call-ui-0.5.1 failed (configure phase):
 *   cmake failed
 * 
 * Call stack:
 *     ebuild.sh, line   93:  Called src_configure
 *   environment, line 3887:  Called kde4-base_src_configure
 *   environment, line 2981:  Called cmake-utils_src_configure
 *   environment, line 1096:  Called _execute_optionaly 'src_configure'
 *   environment, line  528:  Called enable_cmake-utils_src_configure
 *   environment, line 1421:  Called die
 * The specific snippet of code:
 *       "${CMAKE_BINARY}" "${cmakeargs[@]}" "${CMAKE_USE_DIR}" || die "cmake failed";
 * 
 * If you need support, post the output of `emerge --info '=net-im/ktp-call-ui-0.5.1'`,
 * the complete build log and the output of `emerge -pqv '=net-im/ktp-call-ui-0.5.1'`.
 * The complete build log is located at '/var/tmp/portage/net-im/ktp-call-ui-0.5.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-im/ktp-call-ui-0.5.1/temp/environment'.
 * Working directory: '/var/tmp/portage/net-im/ktp-call-ui-0.5.1/work/ktp-call-ui-0.5.1_build'
 * S: '/var/tmp/portage/net-im/ktp-call-ui-0.5.1/work/ktp-call-ui-0.5.1'
Comment 1 Sergey Popov gentoo-dev 2013-01-02 10:11:13 UTC
Please, provide full build.log and your emerge --info
Comment 2 darkbasic 2013-01-02 12:58:31 UTC
It *is* the full log...

laptop ~ # emerge --info
Portage 2.2.0_alpha149 (default/linux/amd64/10.0/desktop/kde, gcc-4.5.4, glibc-2.15-r3, 3.7.0 x86_64)
=================================================================
System uname: Linux-3.7.0-x86_64-Intel-R-_Core-TM-2_Duo_CPU_U9400_@_1.40GHz-with-gentoo-2.1
Timestamp of tree: Wed, 02 Jan 2013 08:30:01 +0000
ld GNU ld (GNU Binutils) 2.22
app-shells/bash:          4.2_p37
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.2.3
dev-util/cmake:           2.8.9
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.11.8::pentoo
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.4
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.6 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo crossdev x11 sunrise FireBurn multimedia kde linuxsystems jamesbroadhead gamerlay hasufell pentoo proaudio darkbasic
Installed sets: @kdeadmin-4.9, @kdeartwork-4.9, @kdebase-4.9, @kdegraphics-4.9, @kdemultimedia-4.9, @kdenetwork-4.9, @kdepim-4.9, @kdeutils-4.9
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA AdobeFlash-10.1 AdobeFlash-10.3 PUEL google-chrome skype-4.0.0.7-copyright googleearth"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -msse4.1 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0"
CONFIG_PROTECT_MASK="${EPREFIX}/etc/gconf /etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=core2 -O2 -msse4.1 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://de-mirror.org/distro/gentoo"
LANG="it_IT.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/crossdev /var/lib/layman/x11 /var/lib/layman/sunrise /var/lib/layman/FireBurn /var/lib/layman/multimedia /var/lib/layman/kde /var/lib/layman/linuxsystems /var/lib/layman/jamesbroadhead /var/lib/layman/gamerlay /var/lib/layman/hasufell /var/lib/layman/pentoo /var/lib/layman/pro-audio /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 bash-completion berkdb bluetooth branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups cxx dbus declarative dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gif gpm graphite gtk iconv ios iphone ipod ipv6 jack jpeg kde kipi lcms ldap libnotify lv2 mad mmx mng modules mp3 mp4 mpeg mtp mudflap multilib ncurses nls nptl ogg opengl openmp pam pango pcre pdf phonon plasma png policykit ppds pppd pulseaudio qt3support qt4 readline sdl semantic-desktop sensors session spell sse sse2 sse3 sse4.1 ssl ssse3 startup-notification svg tcpd tiff truetype udev udisks unicode upower usb vaapi vorbis wxwidgets x264 xcb xcomposite xinerama xml xscreensaver xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="it en" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" QEMU_SOFTMMU_TARGETS="x86_64 arm" QEMU_USER_TARGETS="arm" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 3 teidakankan 2013-01-02 20:10:37 UTC
There is an updated version that will compile with the latest telepathy-farstream over here:

http://download.kde.org/unstable/kde-telepathy/0.5.2/src/
Comment 4 teidakankan 2013-01-02 20:50:29 UTC
(In reply to comment #3)
> There is an updated version that will compile with the latest
> telepathy-farstream over here:
> 
> http://download.kde.org/unstable/kde-telepathy/0.5.2/src/

Sorry, this is not correct.  I did the update trying to get it to compile against telepathy-farstream-0.6.0, but it still failed and had to package mask it.
Comment 5 Bartosz Brachaczek 2013-01-06 20:11:17 UTC
It's a duplicate of bug 449296.
Comment 6 Patrick McMunn 2013-01-13 02:45:03 UTC
I'm still working on the problem, but this is what I've figured out so far. The missing files which ktp-call-ui is complaining about are provided by telepathy-qt. Telepathy-qt seems to be happy with telepathy farstream-0.6.0, however, telepathy-qt does NOT seem to be happy with net-libs/farstream-0.2.2. When configuring telepathy-qt, I get the message:

-----------------------------------------------------------------------------
-- The following OPTIONAL packages could NOT be located on your system.
-- Consider installing them to enable more features from this software.
-----------------------------------------------------------------------------
   * Farstream (0.1.0 or higher)  <http://www.freedesktop.org/wiki/Software/Farstream>

So hopefully this can be fixed by just patching telepathy-qt's cmake files so it can recognize and build with farsight-0.2.2. Then it should provide the cmake files ktp-call-ui requires for farstream support.
Comment 7 Patrick McMunn 2013-01-13 04:50:41 UTC
Created attachment 335422 [details, diff]
telepathy-qt-0.9.3-farstream-0.2.patch

Apparently this bug cropped up because I had farstreamer:0.2 but not farstreamer:0.2 installed. Here's a patch which lets cmake find farstream:02 so telepathy-qt can build with it.
Comment 8 Patrick McMunn 2013-01-13 04:54:27 UTC
Created attachment 335424 [details, diff]
ktp-call-ui-0.5.1-farstream-0.2.patch

This patch likewise allows ktp-call-ui to find and build with farstream:0.2 (once telepathy-qt has been properly built). However, once this hurdle is passed, bug 449296 crops up. So these are two different bugs. Unfortunately solving this one does not solve the latter.
Comment 9 Reuben Martin 2013-02-19 21:49:10 UTC
This is a set of patches that would allow both farstream 0.4 and 0.6 to be installed at the same time. Not sure if it's worth the trouble though...


https://bugs.kde.org/show_bug.cgi?id=312450
http://rdieter.fedorapeople.org/rpms/ktp/
Comment 10 Johannes Huber gentoo-dev 2013-04-20 20:19:39 UTC
*** Bug 464754 has been marked as a duplicate of this bug. ***
Comment 11 Johannes Huber gentoo-dev 2013-04-20 20:25:22 UTC

*** This bug has been marked as a duplicate of bug 449296 ***